# $AOpath = full path to AO installation - note the double backslash
# PERL needs a double backslash when specifying Windows paths
# $AOpath = "C:\\Program Files\\Anarchy Online\\";

# $GSPpath = full path to GridStream Player installation
# $GSPpath = "C:\\Program Files\\GridStream\\";

# $LyricsPath = full path to directory for static lyrics files
# If this directory exists, it will be checked for files matching:
# $artist\$song.txt
# $artist - $song.txt
# $song - $artist.txt
# $song.txt
# The first one of these found will be used instead of looking the
# song up on any lyrics search sites.
# $LyricsPath = $GSPpath."lyrics\\";

# $SetBackground = whether or not to set the desktop background
# Only the selection of background image is changed, not the tiling
# or background color settings.
# $SetBackground = 1;

# $ImagesPath = full path to desktop backgrounds
# Create a subdirectory here for each DJ you wish to have background
# images for.  One file will be chosen at random from those ending
# with the $ImagesTypes glob.  If "Playlist" is in the filename, it
# will only be chosen if the stream is determined to be on playlist.
# If no files have "Playlist" in their names, playlist mode will use
# one of the other files instead.
# $ImagesPath = $GSPpath."images\\";

# $ImageTypes = shell glob pattern to match the end of files that can be
# set as backgrounds
# ".bmp"  is pretty much your only option without using Active Desktop
# $ImageTypes = ".bmp";

# $Default = directory for default background images to use if the DJ name
# cannot be parsed
# $Default = "GSP";

# $AgentString = HTTP Agent string, in case one of the lyrics sites cares
# $AgentString = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4';

# %Alias = hash of stream title regular expressions and the DJs / image
# directories they correspond to
# if ($SetBackground) stream titles will be parsed for the show name and
# matched against the directory names in $LyricsPath.
# The keys of this hash are inserted into the regular expression 
#   /(\b|DJ)($_)\b/i
# and if matched, the corresponding value is used as the directory name
# to choose a desktop background
# To replace the whole list, use this syntax:
# %Alias = (
#	"LTK" => "Tarryk",
#	"Sami" => "Samalicious",
# );
# To simply add a new alias, which can be done as many times as necessary:
# $Alias{"Chai"} = "Chaimera";

# %Sites = hash of site names and the details of how to search them
# ("site" => {
#   'referrer' => string for HTTP "Referer" header
#   'method' => "GET" or "POST"
#   'searchURI' => URL to search
#   'searchtext' => either a string or a hash
#      the string or the values will be interpolated, so the strings
#      '${song}' and '${artist}' can be used to insert those variables
#      into the search.  They are then URLencoded for the request
#      Use a hash for POST requests
#      Get can use either a hash or a preformatted string to append
#      to the searchURI
#   'regex' => regular expression to match the link to the result
#      use the named capturing subpatterns "link" and "match" to
#      capture the link and the artist/title it links to.  e.g.
#      /<a\s+href=\"\/lyrics\/(?<link>[^\"]+)\"\s*>(?<match>[^<]+)<\/a>/
#   'linkURI' => string to prepend to the matched (?<link>), in case 
#     it's relative
#   'exactstring' => what the matched (?<match>) should be, after all
#     HTML tags are stripped out, if it is an exact match
#   'altsearchURI' => if the first search doesn't match anything, try
#     this one, using the same regex, linkURI, and exactstring
#   'altsearchtext' => string or hash of variable(s) to use with the
#     altsearchURI, in the same format as 'searchtext'
#  }
# )
#
# Seriously, just don't mess with this one if you don't know PERL.
#
# our $Sites{"A-Z Lyrics"} = {
#	    'referrer'      => "http://www.azlyrics.com",
#	    'method'        => "GET", 
#       'searchURI'     => "http://search.azlyrics.com/cgi-bin/azseek.cgi?q=", 
#	    'searchtext'    => '${song} - ${artist}',
#    	'regex'         => '<FONT Face=Verdana size=2><a href=\"http:\/\/www.azlyrics.com\/lyrics\/(?<link>[^\"]+)\" TARGET=\"_blank\">(?<match>(?:[^<]|<[^\/]|<\/[^a]|<\/a[^>])+)<\/a><\/FONT>',
#	    'linkURI'       => "http://www.azlyrics.com/lyrics/*",
#	    'exactstring'   => '${artist} - ${song} lyrics',
#	    'altsearchURI'  => "http://search.azlyrics.com/cgi-bin/azseek.cgi?q=", 
#	    'altsearchtext' => '${song}'
#        };

# %ScriptOutput = hash of output script filenames and the strings to 
# interpolate (like 'searchtext' above) and print to them.
# These can then be invoked by the usual /script <filename> or just 
# /<filename>
# This is the default.  Use this format to replace the whole list.
# %ScriptOutput = (
#    "lyrics"      => '/me sings along with \"$song\" by $artist.  <a href=\"text://<font color=CCInfoText>Artist: <font color=CCGreen>$artist</font><br>Song: <font color=CCGreen>$song</font><br>$HTMLresult</font>\">[lyrics]</a>\n',
#    "checklyrics" => q[/text Lyrics <a href=\"text://<font color=CCInfoText>Artist: <font color=CCGreen>$artist</font><br>Song: <font color=CCGreen>$song</font><br>$HTMLresult</font>\">Results</a>: ".($lyricsfile?"file found":"$hits hit".($hits==1?"":"s"))." for \"$song\" by '$artist' :$checksummary\n],
#	"llyrics"     => '/me looks up the <a href=\"text://<font color=CCInfoText>Artist: <font color=CCGreen>$artist</font><br>Song: <font color=CCGreen>$song</font><br>$HTMLresult</font>\">lyrics</a> to \"$song\" by $artist to read along.\n',
#    );
# Or you can simply add a new script output like this:
# $ScriptOutput{"slyrics"} = '/me signs the words to \"$song\" by $artist.  <a href=\"text://<font color=CCInfoText>Artist: <font color=CCGreen>$artist</font><br>Song: <font color=CCGreen>$song</font><br>$HTMLresult</font>\">[lyrics]</a>\n';

# %InfoOutput = hash of infotext filenames and the strings to
# interpolate (like 'searchtext' above) and print to them.
# These can then be displayed with the /showinfo <filename>
# command.
# Works just like ScriptOutput and you can either replace or
# add to the list in the same way.
#our %InfoOutput = (
#    "CheckLyrics.html" => '<font color=CCInfoText>Artist: <font color=CCGreen>$artist</font>\nSong: <font color=CCGreen>$song</font>\n$TEXTresult</font>\n'
#    );
